require 'http_help'
require 'test/unit'

class TestHttpHelp < Test::Unit::TestCase
  def test_that_it_can_find_response_description
    assert_equal "Not Found", HttpHelp.find(404)
  end

  def test_that_it_can_find_response_code
    assert_equal "404: Not Found", HttpHelp.find("Not Found")
  end

  def test_that_it_can_find_response_code_given_different_letter_case
    assert_equal "404: Not Found", HttpHelp.find("nOT fOUND")
  end

  def test_that_it_can_find_response_code_given_similar_description
    assert_equal "404: Not Found", HttpHelp.find("got fund")
  end

  def test_that_it_raises_an_exception_when_code_is_not_found
    assert_raise_with_message HttpHelp::StatusCodeNotFoundException, "Status code not found." do
      HttpHelp.find("999")
    end
  end

  def test_that_it_raises_an_exception_when_status_is_not_found
    assert_raise_with_message HttpHelp::StatusNotFoundException, "Status not found." do
      HttpHelp.find("Some weird status")
    end
  end
end
